using CaseAccountingDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.ViewModels
{
	public class ContractViewModel : IContractModel
	{
		[DisplayName("Услуга")]
		public string Service { get; set; } = string.Empty;
		[DisplayName("Стоимость")]
		public decimal Coast { get; set; }
		[DisplayName("Дата подписания")]
		public DateTime Date { get; set; }
        public int UserId { get; set; }
        public int Id { get; set; }
        public Dictionary<int, IDealModel> Deals { get; set; } = new();
    }
}
